## ocaml-usb 1.0

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2009, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# This file is a part of ocaml-usb.

# +------------------------------------------------------------------+
# | Configuration                                                    |
# +------------------------------------------------------------------+

# Tools
OCAMLFIND := ocamlfind
OCAMLBUILD := ocamlbuild

# Use classic-display when compiling under a terminal which does not
# support ANSI sequence:
ifeq ($(TERM),dumb)
OCAMLBUILD += -classic-display
endif

# Avoid compilation of native plugin if ocamlopt is not available
ifeq ($(shell if which ocamlopt >/dev/null; then echo yes; fi),)
OCAMLBUILD += -byte-plugin
endif

# +------------------------------------------------------------------+
# | Rules                                                            |
# +------------------------------------------------------------------+

.PHONY: all
all:
	$(OCAMLBUILD) all

.PHONY: doc
doc:
	$(OCAMLBUILD) usb.docdir/index.html

.PHONY: dist
dist:
	DARCS_REPO=$(PWD) darcs dist --dist-name ocaml-usb-`head -n 1 VERSION`

.PHONY: install
install:
	$(OCAMLFIND) install usb _build/META \
	  $(wildcard _build/src/*.mli) \
	  $(wildcard _build/src/*.cmi) \
	  $(wildcard _build/src/*.cmx) \
	  $(wildcard _build/*.a) \
	  $(wildcard _build/*.cma) \
	  $(wildcard _build/*.cmxa) \
	  $(wildcard _build/*.cmxs) \
	  $(wildcard _build/*.so)

.PHONY: uninstall
uninstall:
	$(OCAMLFIND) remove usb

.PHONY: reinstall
reinstall: uninstall install

.PHONY: clean
clean:
	$(OCAMLBUILD) -clean
	cd examples && $(MAKE) clean

=== debian/changelog ===
ocaml-usb (1.0-1) unstable; urgency=low

  * New upstream release
    - add 0001-Move-the-cmxs-rule-to-Before_rules.patch
  * Fix debian/watch
  * Bump Standards-Version to 3.8.4 (no changes)
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Apr 2010 07:40:13 +0200

ocaml-usb (1.0~rc1-1) experimental; urgency=low

  * Initial release (Closes: #552366)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Nov 2009 18:58:45 +0100

=== debian/control ===
Source: ocaml-usb
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 pkg-config,
 liblwt-ocaml-dev (>= 2.0.0),
 libusb-1.0-0-dev,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.8.4
Section: ocaml
Homepage: http://ocaml-usb.forge.ocamlcore.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-usb.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-usb.git

Package: libusb-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: OCaml bindings to libusb-1.0
 OCaml-USB is a binding to libusb-1.0, a userspace USB programming
 library. It uses Lwt to ease use of asynchronous IO features of
 libusb-1.0.
 .
 This package contains development files for OCaml-USB.

Package: libusb-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libusb-ocaml-dev (<< 1.0)
Conflicts: libusb-ocaml-dev (<< 1.0)
Provides: ${ocaml:Provides}
Description: OCaml bindings to libusb-1.0 (runtime)
 OCaml-USB is a binding to libusb-1.0, a userspace USB programming
 library. It uses Lwt to ease use of asynchronous IO features of
 libusb-1.0.
 .
 This package contains the runtime libraries for OCaml-USB.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=$(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_install
override_dh_auto_install:
	install -d $(OCAMLFIND_DESTDIR)
	install -d $(CURDIR)/debian/tmp/$(OCAML_DLL_DIR)
	$(MAKE) install

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) all
	cp usb.mllib usb.odocl
	$(MAKE) doc

## ocaml-usb 1.2.0

=== debian/changelog ===
ocaml-usb (1.2.0-2build3) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 18:40:45 +0000

ocaml-usb (1.2.0-2build2) precise; urgency=low

  * Rebuild for new liblwt-ocaml-dev ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Oct 2011 16:03:46 +0100

ocaml-usb (1.2.0-2build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:45:02 -0600

ocaml-usb (1.2.0-2) unstable; urgency=low

  * Add patch to include stdint.h before libusb.h (fixes FTBFS on
    kfreebsd-*)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Jul 2011 12:17:46 +0200

ocaml-usb (1.2.0-1) unstable; urgency=low

  * New upstream release
    - Bump required Lwt version to 2.3.0 (Closes: #628335)
    - Drop 0001-Move-the-cmxs-rule-to-Before_rules.patch
  * Make the -dev package depend on libusb-1.0-0-dev
  * Add patch to fix the initialization of libusb
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Sat, 28 May 2011 16:29:16 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAML_DLL_DIR
export OCAML_HAVE_OCAMLOPT
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libusb-ocaml-dev/html

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## ocaml-usb 1.3.0

=== examples/Makefile ===
# Makefile
# --------
# Copyright : (c) 2009, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# This file is a part of ocaml-usb.

# Tools
OCAMLFIND := ocamlfind
OCAMLBUILD := ocamlbuild

# Use classic-display when compiling under a terminal which does not
# support ANSI sequence:
ifeq ($(TERM),dumb)
OCAMLBUILD += -classic-display
endif

all: best

best:
	$(OCAMLBUILD) best

byte:
	$(OCAMLBUILD) byte

native:
	$(OCAMLBUILD) native

clean:
	$(OCAMLBUILD) -clean

.PHONY: best all byte native clean

=== debian/changelog ===
ocaml-usb (1.3.0-4build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:07:06 +0200

ocaml-usb (1.3.0-4) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2017 09:54:08 +0200

ocaml-usb (1.3.0-3) unstable; urgency=medium

  * Add camlp4 to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 16 Oct 2015 10:30:18 +0200

ocaml-usb (1.3.0-2) unstable; urgency=low

  * Fix FTBFS on armel

 -- Stéphane Glondu <glondu@debian.org>  Fri, 10 May 2013 20:09:30 +0200

ocaml-usb (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 23:40:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: ocaml-usb
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 8),
  dh-ocaml (>= 0.9),
  ocaml-findlib,
+ ocamlbuild,
+ camlp4,
  pkg-config,
- liblwt-ocaml-dev (>= 2.0.0),
+ liblwt-ocaml-dev (>= 2.3.0),
  libusb-1.0-0-dev,
- ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.8.4
+ ocaml-nox (>= 3.12.0~)
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://ocaml-usb.forge.ocamlcore.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-usb.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-usb.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-usb.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-usb.git
 
 Package: libusb-ocaml-dev
 Architecture: any
 Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ libusb-1.0-0-dev
 Provides: ${ocaml:Provides}
 Recommends:
  ocaml-findlib
@@ -39,7 +42,7 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Replaces: libusb-ocaml-dev (<< 1.0)
-Conflicts: libusb-ocaml-dev (<< 1.0)
+Breaks: libusb-ocaml-dev (<< 1.0)
 Provides: ${ocaml:Provides}
 Description: OCaml bindings to libusb-1.0 (runtime)
  OCaml-USB is a binding to libusb-1.0, a userspace USB programming

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export OCAMLFIND_LDCONF=ignore
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:

## ocaml-usb 1.3.1

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2012, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# Generic Makefile for oasis project

# Set to setup.exe for the release
SETUP := setup-dev.exe

# Default rule
default: build

# Setup for the development version
setup-dev.exe: _oasis setup.ml
	./config_pkg || true
	sed '/^#/D' setup.ml > setup_dev.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || true
	rm -f setup_dev.*

# Setup for the release
setup.exe: setup.ml
	./config_pkg || true
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)

install: $(SETUP) setup.data
	./$(SETUP) -install $(INSTALLFLAGS)

uninstall: $(SETUP) setup.data
	./$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: $(SETUP) setup.data
	./$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./config_pkg --distclean || true
	./$(SETUP) -distclean $(DISTCLEANFLAGS)
	rm -f setup*.exe

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
ocaml-usb (1.3.1-4) unstable; urgency=medium

  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add empty override_dh_dwz to prevent FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jul 2020 11:22:39 +0200

ocaml-usb (1.3.1-3) unstable; urgency=medium

  * Fix FTBFS on native architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jan 2020 13:53:06 +0100

ocaml-usb (1.3.1-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jan 2020 11:46:24 +0100

ocaml-usb (1.3.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release (Closes: #933993)
  * Update Vcs-*
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no

  [ Nicolas Dandrimont ]
  * d/control: remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 Jan 2020 09:12:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: ocaml-usb
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
- dh-ocaml (>= 0.9),
+ debhelper-compat (= 13),
+ dh-ocaml,
  ocaml-findlib,
+ libfindlib-ocaml-dev,
+ oasis,
  ocamlbuild,
- camlp4,
  pkg-config,
- liblwt-ocaml-dev (>= 2.3.0),
+ liblwt-ocaml-dev,
  libusb-1.0-0-dev,
- ocaml-nox (>= 3.12.0~)
-Standards-Version: 3.9.4
+ ocaml-nox
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://ocaml-usb.forge.ocamlcore.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-usb.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-usb.git
+Homepage: https://github.com/letoh/ocaml-usb
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-usb
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-usb.git
 
 Package: libusb-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -24,17 +24,19 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	ocaml setup.ml -test
+endif
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	ocaml setup.ml -install
-
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --list-missing
+# Work around a bug in the build system: the dll doesn't get installed on bytecode architectures
+	cp _build/src/dllusb_stubs.so '$(DESTDIR)$(OCAML_STDLIB_DIR)/usb'
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	ocaml setup.ml -distclean
+
+override_dh_dwz:

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/letoh/ocaml-usb/releases .*/v(.*)\.tar\.gz
